Returns a list of conversations.

GET
/v1/conversation_export

Authorization

BearerAuth
headerAuthorizationBearer <token>

Query Parameters

closed_after?string

Filter for conversations closed after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
closed_before?string

Filter for conversations closed before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
created_after?string

Filter for conversations created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
created_before?string

Filter for conversations created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
updated_after?string

Filter for conversations updated after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
updated_before?string

Filter for conversations updated before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
last_message_created_after?string

Filter for conversations where the last message was created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
last_message_created_before?string

Filter for conversations where the last message was created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms

Formatdate
csids?array<>

Filter for this list of conversation IDs, comma separated

Response Body

Array of conversations

application/json
  1. response
[index: integer]?
curl -X GET 'https://exports.dixa.io/v1/conversation_export?closed_after=2022-01-01&closed_before=1646151737080&csids=123%2C456' \  -H 'Authorization: Bearer <API token>'
[
{
"id": 0,
"created_at": 0,
"initial_channel": "email",
"requester_id": "5fe88a55-c92f-4e12-bd25-87bf15036ce9",
"requester_name": "string",
"requester_email": "string",
"requester_additional_emails": [
"string"
],
"requester_phone_number": "string",
"requester_additional_phone_numbers": [
"string"
],
"queued_at": 0,
"queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507",
"queue_name": "string",
"closed_at": 0,
"rating_score": 0,
"rating_message": "string",
"ratings": [
{
"rating_score": 0,
"rating_message": "string",
"rating_type": "CSAT",
"rating_created_timestamp": 0,
"rating_offered_timestamp": 0,
"rating_status": "Rated",
"rating_language": "en",
"rating_modified_timestamp": 0,
"rating_rated_timestamp": 0,
"rating_scheduled_timestamp": 0,
"rating_scheduled_for_timestamp": 0,
"rating_unscheduled_timestamp": 0,
"rating_cancelled_timestamp": 0
}
],
"direction": "inbound",
"assigned_at": 0,
"assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
"assignee_name": "string",
"assignee_email": "string",
"assignee_phone_number": "string",
"to_provisioned_phone_number_id": "string",
"to_provisioned_phone_number_name": "string",
"total_duration": 0,
"handling_duration": 0,
"dixa_email_integration_id": "string",
"dixa_email_integration_sender_name": "string",
"forwarding_email": "string",
"facebook_page_id": "string",
"facebook_page_name": "string",
"widget_id": "917f3fdb-2905-481f-8ff6-04c0fb7d466c",
"widget_name": "string",
"tags": [
"string"
],
"tags_info": [
"string"
],
"conversation_wrapup_notes": [
"string"
],
"transferee_name": "string",
"transfer_time": 0,
"originating_country": "string",
"updated_at": 0,
"last_message_created_at": 0,
"status": "open",
"transferee_number": "string",
"from_provisioned_phone_number_id": "string",
"from_provisioned_phone_number_name": "string",
"subject": "string",
"anonymized_at": 0,
"custom_fields": [
{
"attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6",
"identifier": "string",
"value": "string",
"data_type": "string",
"archived": true
}
],
"exports_handling_duration": 0,
"link_type": "side",
"linked_at": 1762787749131,
"linked_to": 14665
}
]